import {
    getInviteList
} from '~/api/user'
Page({
    data: {
        list: [{
            num: 1,
            top: -60,
            left: 428
        }, {
            num: 2,
            top: 230,
            left: 274
        }, {
            num: 3,
            top: 580,
            left: 224
        }, {
            num: 4,
            top: 770,
            left: 570
        }, {
            num: 5,
            top: 856,
            left: 360
        }, {
            num: 6,
            top: 1194,
            left: 140
        }, {
            num: 7,
            top: 1194,
            left: 460
        }, {
            num: 8,
            top: 1466,
            left: 140
        }, {
            num: 9,
            top: 1466,
            left: 460
        }, {
            num: 10,
            top: 1740,
            left: 140
        }, {
            num: 11,
            top: 2088,
            left: 140
        }, {
            num: 12,
            top: 2088,
            left: 460
        }, {
            num: 13,
            top: 2360,
            left: 140
        }, {
            num: 14,
            top: 2360,
            left: 460
        }, {
            num: 15,
            top: 2636,
            left: 460
        }, {
            num: 16,
            top: 3036,
            left: 140
        }, {
            num: 17,
            top: 3036,
            left: 460
        }, {
            num: 18,
            top: 3310,
            left: 140
        }, {
            num: 19,
            top: 3310,
            left: 460
        }, {
            num: 20,
            top: 3580,
            left: 140
        }, {
            num: 21,
            top: 3580,
            left: 460
        }, {
            num: 22,
            top: 3852,
            left: 140
        }, {
            num: 23,
            top: 3852,
            left: 460
        }, {
            num: 24,
            top: 4126,
            left: 140
        }, {
            num: 25,
            top: 4126,
            left: 460
        }, {
            num: 26,
            top: 4396,
            left: 140
        }, {
            num: 27,
            top: 4396,
            left: 460
        }, {
            num: 28,
            top: 4670,
            left: 140
        }, {
            num: 29,
            top: 4670,
            left: 460
        }, {
            num: 30,
            top: 4944,
            left: 460
        }, {
            num: 31,
            top: 5332,
            left: 140
        }, {
            num: 32,
            top: 5332,
            left: 460
        }, {
            num: 33,
            top: 5604,
            left: 140
        }, {
            num: 34,
            top: 5604,
            left: 460
        }],
        count: 0
    },

    async onShow() {
        console.log(`#p${this.data.list.length}`);
        wx.pageScrollTo({
            selector: `#p${this.data.list.length}`,
            duration: 800
        })
        /*  let {
             list
         } = await getInviteList({
             pageSize: 9999
         })
         this.setData({
             list,
             count: list.length
         })
         console.log(list); */
    },
    showTranscript() {
        this.selectComponent("#popUp").showModal()
    },
    closeTranscript() {
        this.selectComponent("#popUp").hideModal()
    },
    jumpUserInfo({
        currentTarget
    }) {
        wx.navigateTo({
            url: `/pages/personal/index?uid=${currentTarget.dataset.uid}&type=user`,
        })
    },
    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {
        const user = wx.getStorageSync('user');
        return {
            title: '自从用了它，家里朗朗书声，美妙极了！你家孩子也快来试试！',
            path: `/pages/index/index?uid=${user.uid}`,
            imageUrl: 'http://reader-wx.ai160.com/images/reader/v3/375-300-1.jpg'
        }
    }
})